## ironseed 0.1.0

=== DESCRIPTION ===
Package: ironseed
Title: Improved Random Number Generator Seeding
Version: 0.1.0
Authors@R: 
    person("Reed", "Cartwright",
           role = c("aut", "cre"),
           email = "racartwright@gmail.com",
           comment = c(ORCID = "0000-0002-0837-9380"))
Description: A procedure for seeding R's built in random number
    generators using a variable-length sequence of values.
    Accumulates input entropy into a 256-bit hash digest or "ironseed"
    and is able to generate a variable-length sequence of output seeds
    from an ironseed.
License: MIT + file LICENSE
Language: en-US
Encoding: UTF-8
RoxygenNote: 7.3.2
Biarch: TRUE
NeedsCompilation: yes
URL: https://github.com/reedacartwright/ironseed
BugReports: https://github.com/reedacartwright/ironseed/issues
Suggests: tinytest
Packaged: 2025-07-06 21:50:57 UTC; reed
Author: Reed Cartwright [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-0837-9380>)
Maintainer: Reed Cartwright <racartwright@gmail.com>
Repository: CRAN
Date/Publication: 2025-07-11 08:40:02 UTC
