## ironseed 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ironseed
 Title: Improved Random Number Generator Seeding
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: 
     c(person("Reed", "Cartwright",
              role = c("aut", "cre"),
@@ -16,16 +16,16 @@
 License: MIT + file LICENSE
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Biarch: TRUE
 NeedsCompilation: yes
 URL: https://github.com/reedacartwright/ironseed
 BugReports: https://github.com/reedacartwright/ironseed/issues
 Suggests: tinytest
-Packaged: 2025-08-20 21:54:41 UTC; reed
+Packaged: 2025-11-18 22:54:06 UTC; reed
 Author: Reed Cartwright [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-0837-9380>),
   National Science Foundation DBI-1929850 [fnd]
 Maintainer: Reed Cartwright <racartwright@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-08-20 22:10:01 UTC
+Date/Publication: 2025-11-18 23:10:02 UTC
