=== debian/control ===
Source: ironseed
Section: games
Priority: optional
Maintainer: Matija Nalis <mnalis-deb@voyager.hr>
Build-Depends:
 debhelper (>=11~),
 debhelper-compat (= 13),
 fpc,
 gdc | ldc,
 graphicsmagick,
 imagemagick,
 libipc-system-simple-perl,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 perl,
Standards-Version: 4.5.1
Homepage: https://github.com/mnalis/ironseed_fpc
Vcs-Browser: https://salsa.debian.org/mnalis/ironseed
Vcs-Git: https://salsa.debian.org/mnalis/ironseed.git
Rules-Requires-Root: no

Package: ironseed
Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 riscv64
Multi-Arch: foreign
Depends:
 ironseed-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: science-fiction exploration/strategy adventure game in space
 It was originally both developed and published by Channel 7 for DOS in 1994.
 Gameplay is real-time, featuring trading, diplomacy, and strategy, and
 somewhat resembles Star Control 2 / Ur-Quan masters.
 .
 Storyline: Escaping the iron fist of a fanatic theocracy, the members of
 the Ironseed Movement launch into space and are set adrift after suffering
 a computer malfunction. As captain, you awaken along with the crew some
 thousand years later and are confronted by an alien horde...

Package: ironseed-data
Architecture: all
Multi-Arch: foreign
Recommends:
 ironseed (>= ${source:Version}),
Depends:
 ${misc:Depends},
Description: science-fiction exploration/strategy adventure game in space - data files
 It was originally both developed and published by Channel 7 for DOS in 1994.
 Gameplay is real-time, featuring trading, diplomacy, and strategy, and
 somewhat resembles Star Control 2 / Ur-Quan masters.
 .
 Storyline: Escaping the iron fist of a fanatic theocracy, the members of
 the Ironseed Movement launch into space and are set adrift after suffering
 a computer malfunction. As captain, you awaken along with the crew some
 thousand years later and are confronted by an alien horde...
 .
 This package provides the data files for the game.
