## ironseed 0.4.0

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,9 @@
 #fpc_debug += -Sewnh
 # -O- -Cr -CR -Ct   -gh  -gc -dDEBUG  -dTrace
 libgcc_dir := $(shell find /usr/ -name libgcc_s.so -printf "-Fl%h " 2>/dev/null)
-PFLAGS += -k-lSDL_mixer -k-lSDL -k-lm $(libgcc_dir)
-
-c_includes:=`sdl-config --cflags` -I /usr/X11R6/include
+PFLAGS += -k-lSDL2_mixer -k-lSDL2 -k-lm $(libgcc_dir)
+
+c_includes:=`sdl2-config --cflags` -I /usr/X11R6/include
 CFLAGS += -g -Wall -W -pedantic -Wno-unused-parameter -Wconversion $(c_includes)
 
 # PIE etc. hardening wanted by Debian - see https://wiki.debian.org/Hardening
@@ -46,29 +46,17 @@
 
 
 rebuild: clean all cleantmp
-# default target to build, best is debug_sdl / debug_ogl (NOT "release_xxx" AKA "no-checks" versions!)
+# default target to build, best is debug_sdl (NOT "release_sdl" AKA "no-checks" versions!)
 all: clearpaths debug_sdl1
 
 cleanbuild: clean build cleantmp
 
-# OpenGL no-checks version
-release_ogl debug_ogl1: PFLAGS += -k-lGL -k-lGLU
-
-release_ogl: CFLAGS += -O -DNDEBUG
-release_ogl: cleanbuild
-
-# OpenGL debug version
-debug_ogl:   clean debug_ogl1 cleantmp
-debug_ogl1:  CFLAGS += -O1 -Werror
-debug_ogl1:  PFLAGS += $(fpc_debug)
-debug_ogl1:  build
-
 # SDL no-checks version
-release_sdl: CFLAGS += -O -DNDEBUG -DNO_OGL
+release_sdl: CFLAGS += -O -DNDEBUG
 release_sdl: cleanbuild
 
 # SDL debug version
-debug_sdl1 demo_sdl1 data_build Data_Generators/makedata/iconmake Data_Generators/makedata/makeani Data_Generators/makedata/shp2make: CFLAGS += -O1 -DNO_OGL -Werror
+debug_sdl1 demo_sdl1 data_build Data_Generators/makedata/iconmake Data_Generators/makedata/makeani Data_Generators/makedata/shp2make: CFLAGS += -O1 -Werror
 
 debug_sdl:   clean debug_sdl1 cleantmp
 debug_sdl1:  PFLAGS += $(fpc_debug)
@@ -101,7 +89,7 @@
 	$(p_compiler) $(PFLAGS) $@.pas
 
 test/test_0_c: clean Makefile c_utils.c test/test_0_c.c
-	$(CC) $(CFLAGS) -O1 -Werror test/test_0_c.c `sdl-config --libs` -lSDL_mixer -lm -lGL -lGLU  -o test/test_0_c
+	$(CC) $(CFLAGS) -O1 -Werror test/test_0_c.c `sdl2-config --libs` -lSDL_mixer -lm -lGL -lGLU  -o test/test_0_c
 
 test/test_0_pas: CFLAGS += -O1 -Werror
 test/test_0_pas: PFLAGS += $(fpc_debug) -k-lGL -k-lGLU
@@ -218,3 +206,8 @@
 data/conv1103.dta: Data_Generators/makedata/tek5con1.txt Data_Generators/makedata/convmake
 
 data/charani.dta:     Data_Generators/makedata/makeani data/char.cpr Data_Generators/makedata/charani.cpr
+	Data_Generators/makedata/makeani
+data/shippix.dta:     Data_Generators/makedata/shp2make Data_Generators/makedata/shippart.cpr
+	Data_Generators/makedata/shp2make
+data/iteminfo.dta: Data_Generators/makedata/itemmake Data_Generators/makedata/iteminfo.txt
+	Data_Generators/makedata/itemmake > /dev/null
