=== debian/changelog ===
ironseed (0.4.0-7) unstable; urgency=medium

  * try to make autopkgtest work on slower architectures like armel
  * avoid rare autopkgtest failure due to cursor color change
  * document test as flaky (just in case the above didn't help)
    Closes: #1077928
  * remove gdc data rebuild workaround for mipsel, as Bug#980204
    was resolved in Bookworm
  * update Standards-Version to 4.7.0

 -- Matija Nalis <mnalis-deb@voyager.hr>  Fri, 19 Apr 2024 02:16:12 +0000

ironseed (0.4.0-6) unstable; urgency=medium

  * temporarily remove strangely timeouting tests for armel,armhf,ppc64el

 -- Matija Nalis <mnalis-deb@voyager.hr>  Thu, 18 Apr 2024 14:21:04 +0000

ironseed (0.4.0-5) unstable; urgency=medium

  * ignore even more spurious "failed to load driver: zink" errors
    leading to autopkgtest failures
  * increase autopkgtest timeout for slower architectures

 -- Matija Nalis <mnalis-deb@voyager.hr>  Tue, 16 Apr 2024 14:23:25 +0200

ironseed (0.4.0-4) unstable; urgency=medium

  [ Matija Nalis ]
  * upgrades to upstream 0.4.0, with SDL2 support
    Closes: #1038461
  * hurd-i386 architecture should also be possible, if/when it has working
    dependencies
  * test should not be flaky (on supported architectures)
  * remove homepage entry from d/metadata, as not present in DEP12
  * fix LDFLAGS overwriting
  * update copyright year
  * removed graphicsmagick dependency (no longer needed with 0.3.7)
  * updates Standards-Version to 4.7.0
  * lintian fix package-contains-documentation-outside-usr-share-doc
  * autopkgtest workaround for ignorable errors
  * autopkgtest extra test for correct gamescreen
  * add salsa-ci.yml

 -- Matija Nalis <mnalis-deb@voyager.hr>  Sun, 14 Apr 2024 21:01:51 +0000
