=== debian/control ===
--- 
+++ 
@@ -7,20 +7,19 @@
  debhelper-compat (= 13),
  fpc,
  gdc | ldc,
- graphicsmagick,
  imagemagick,
  libipc-system-simple-perl,
- libsdl-mixer1.2-dev,
- libsdl1.2-dev,
+ libsdl2-mixer-dev,
+ libsdl2-dev,
  perl,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/mnalis/ironseed_fpc
 Vcs-Browser: https://salsa.debian.org/mnalis/ironseed
 Vcs-Git: https://salsa.debian.org/mnalis/ironseed.git
 Rules-Requires-Root: no
 
 Package: ironseed
-Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 riscv64
+Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 hurd-i386 riscv64
 Multi-Arch: foreign
 Depends:
  ironseed-data (= ${source:Version}),
