=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CPU_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 ifneq (,$(findstring hardening=+all,$(DEB_BUILD_MAINT_OPTIONS)))
 ifeq (amd64,$(CPU_ARCH))
-export LDFLAGS += -pie
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -pie
 endif
 endif
 
@@ -19,8 +19,8 @@
 	dh_auto_install -- prefix=/usr libdir=/usr/libexec/ironseed
 
 override_dh_auto_build:
-# ppc64el (Bug#978153) and mipsel (Bug#980204) do not have working gdc, so skip rebuild of that
-ifneq ($(filter ppc64el mipsel, $(CPU_ARCH)),)
+# ppc64el (Bug#978153) does not have working gdc, so skip rebuild of that
+ifneq ($(filter ppc64el, $(CPU_ARCH)),)
 	touch Data_Generators/makedata/convmake Data_Generators/makedata/logmake
 	touch data/titles.dta data/log.dta data/conv*
 endif
