=== debian/tests/control ===
Tests: savegames
Restrictions: flaky
Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 hurd-i386 riscv64
Depends:
 coreutils,
 ironseed,
 ironseed-data,
 sed,
 x11-apps,
 xauth,
 xdotool,
 xvfb,
 netpbm,
