=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.asc
#opts="pgpsigurlmangle=s%$%.asc%"

opts="filenamemangle=s%(?:.*?)?fpc_(\d+)_(\d+)_(\d+)\.tar\.gz%ironseed_fpc-$1.$2.$3.tar.gz%" \
   https://github.com/mnalis/ironseed_fpc/tags \
   (?:.*?/)?fpc_(\d+)_(\d+)_(\d+)\.tar\.gz debian uupdate
